1. 16 Mar, 2021 2 commits
    • Lorenzo "Palinuro" Faletra's avatar
      Import Debian changes 3.2.36-1parrot1 · 3701ce91
      Lorenzo "Palinuro" Faletra authored
      calamares (3.2.36-1parrot1) rolling; urgency=medium
      .
        * Import new Upstream release.
      .
      calamares (3.2.36-1) unstable; urgency=medium
      .
        [ Helmet Grohne ]
      .
        * Reduce Build-Depends: (Closes: #983052)
          + Annotate test dependencies cryptsetup, os-prober and policykit-1 with
            profile <!nocheck>.
          + Drop unused libatasmart-dev.
      .
        [ Jonathan Carter ]
      .
        * New upstream release
        * Update standards version to 4.5.1
        * Update copyright years and fix indentation
        * Replace DEB_BUILD_OPTIONS with DEB_BUILD_MAINT_OPTIONS
      .
      calamares (3.2.35.1-1) unstable; urgency=medium
      .
        * New upstream release
      3701ce91
    • Lorenzo "Palinuro" Faletra's avatar
      f71cb297
  2. 25 Nov, 2020 2 commits
    • Lorenzo "Palinuro" Faletra's avatar
      Import Debian changes 3.2.33-1parrot1 · e545d9ee
      Lorenzo "Palinuro" Faletra authored and Lorenzo "Palinuro" Faletra's avatar Lorenzo "Palinuro" Faletra committed
      calamares (3.2.33-1parrot1) rolling-testing; urgency=medium
      .
        * Import new Debian version.
      .
      calamares (3.2.33-1) unstable; urgency=medium
      .
        * New upstream release
      .
      calamares (3.2.32.1-3) unstable; urgency=medium
      .
        * No changes version bump
      .
      calamares (3.2.32.1-2) unstable; urgency=medium
      .
        * Small changes upload for kpmcore ABI bump (to version 10)
        * Replace DEB_BUILD_OPTIONS with DEB_BUILD_MAINT_OPTIONS in
          debian/rules
        * Use secure copyright format URI
      .
      calamares (3.2.32.1-1) unstable; urgency=medium
      .
        * New upstream release
      .
      calamares (3.2.32-1) unstable; urgency=medium
      .
        * New upstream release
      .
      calamares (3.2.31-2) unstable; urgency=medium
      .
        * New upstream release
      .
      calamares (3.2.30-1) unstable; urgency=medium
      .
        * New upstream release
      .
      calamares (3.2.28.3-2) unstable; urgency=medium
      .
        * New upstream release
      e545d9ee
    • Lorenzo "Palinuro" Faletra's avatar
      8ed5799f
  3. 23 Aug, 2020 2 commits
    • Lorenzo "Palinuro" Faletra's avatar
      Import Debian changes 3.2.28.2-1parrot1 · d3b31608
      Lorenzo "Palinuro" Faletra authored and Lorenzo "Palinuro" Faletra's avatar Lorenzo "Palinuro" Faletra committed
      calamares (3.2.28.2-1parrot1) rolling-testing; urgency=medium
      
        * Import new Debian version in Parrot.
      
      calamares (3.2.28.2-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.28.1-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.27-1) unstable; urgency=medium
      
        * New upstream release
        * Remove lintian false-positive spelling warning
          (no longer needed)
        * debian/rules:
          - Export buildinfo path to make .buildinfo files reproducible
        * Remove files no longer shipped from debian/copyright
      d3b31608
    • Lorenzo "Palinuro" Faletra's avatar
      235b2ea2
  4. 21 Jul, 2020 2 commits
    • Lorenzo "Palinuro" Faletra's avatar
      Import Debian changes 3.2.26.1-1parrot1 · 93a6d55b
      Lorenzo "Palinuro" Faletra authored and Lorenzo "Palinuro" Faletra's avatar Lorenzo "Palinuro" Faletra committed
      calamares (3.2.26.1-1parrot1) rolling-testing; urgency=medium
      
        * Import new Debian release.
      
      calamares (3.2.26.1-1) unstable; urgency=medium
      
        * New upstream release
        * debian/lintian-overrides:
          - Fix spelling mistake
          - Replace spelling false-positive with a new one
      
      calamares (3.2.26-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.24-1parrot1) testing; urgency=medium
      
        * Do not overwrite resolv.conf
      
      calamares (3.2.24-1) unstable; urgency=medium
      
        * New upstream release
        * Upgrade to debhelper-compat (= 13)
      
      calamares (3.2.23-1) unstable; urgency=medium
      
        * New upstream release
        * Add lintian override for spelling mistake false-positive
      
      calamares (3.2.22-1) unstable; urgency=medium
      
        * New upstream release
        * Update copyright file
        * Remove spelling error lintian override (no longer needed)
      
      calamares (3.2.21-1) unstable; urgency=medium
      
        * New upstream release
        * Declare Rules-Requires-Root: no
        * Override lintian spelling error false-positive
      
      calamares (3.2.20-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.19.1-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.19-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.18-1) unstable; urgency=medium
      
        * New upstream release
        * Update copyright years
      
      calamares (3.2.17.1-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.17-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.16-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.2.15-1) unstable; urgency=medium
      
        * New upstream release
        * Update standards version to 4.4.1
      
      calamares (3.2.14-1) unstable; urgency=medium
      
        * New upstream release
        * Update standards version to 4.5.0
        * Override lintian false-positive
      
      calamares (3.2.13-1) unstable; urgency=medium
      
        * New upstream release
        * Add copyright information for appdata file
        * Remove lintian false positive that no longer applies
      
      calamares (3.2.12-1) unstable; urgency=medium
      
        * New upstream release
        * Add lintian override for spelling mistake for something that looks like
          a string, but isn't
        * Remove lintian override that's no longer needed
      
      calamares (3.2.11-1) unstable; urgency=medium
      
        * New upstream release
        * Update standards version to 4.4.0
      
      calamares (3.2.7-1~exp1) experimental; urgency=medium
      
        * New upstream release
      
      calamares (3.2.5-1~exp1) experimental; urgency=medium
      
        * New upstream release
      
      calamares (3.2.4-4) unstable; urgency=medium
      
        * Update VCS location
        * Revert nostrip deb option
      
      calamares (3.2.4-3) unstable; urgency=medium
      
        * Do not build against pythonqt (avoid buggy dep during freeze)
      
      calamares (3.2.4-2) unstable; urgency=medium
      
        * Add libkf5plasma-dev as build dependency (Closes: #922105)
      
      calamares (3.2.4-1) unstable; urgency=medium
      
        * New upstream release
        * Update to debhelper-compat (=12)
      
      calamares (3.2.3-2) unstable; urgency=medium
      
        * Add libpwquality-dev to build-depends
        * Remove patch to use sudo instead of pkexec
          (pkexec seems to work fine now on all debian variants)
      
      calamares (3.2.3-1) unstable; urgency=medium
      
        * New upstream release
        * Update copyright years
        * Update standards version to 4.3.0
      
      calamares (3.2.2-4) unstable; urgency=medium
      
        * Rebuild for latest pythonqt with Python 3.7
      
      calamares (3.2.2-3) unstable; urgency=medium
      
        * Re-add lintian-overrides removed in error
      
      calamares (3.2.2-2) unstable; urgency=medium
      
        * Version bump (no changes)
      
      calamares (3.2.2-1) unstable; urgency=medium
      
        * New upstream release
        * Update standards version to 4.2.1
        * debian/control: wrap-and-sort
        * Remove 0002-Add-patch-to-compile-with-pythonQt.patch (fixed upstream)
        * Remove 0003-remove-wrong-path.patch (no longer needed)
        * Remove extra-license-file lintian override (no longer needed)
        * Remove spelling error lintian override (no longer needed)
      
      calamares (3.2.1-1) unstable; urgency=medium
      
        * New upstream release
        * Update copyright file
        * Apply patches from Paul Rodrigo Segura to re-enable pythonqt support.
      
      calamares (3.2.0-1) unstable; urgency=medium
      
        * New upstream release
        * Add btrfs-progs to recommends
        * Update lintian-overrides
      
      calamares (3.1.13-1) unstable; urgency=medium
      
        * New upstream release
        * Fix minor style issue in debian/patches/use-sudo-instead-of-pkexec
        * Move VCS to salsa.debian.org service
        * Update standards version to 4.1.4
      
      calamares (3.1.12-1) unstable; urgency=medium
      
        * New upstream release
        * Replace deprecated build-dep 'kio-dev' with 'libkf5kio-dev'
          (Closes: #885386)
        * Update standards version to 4.1.3
        * Update compat to level 11
        * Update copyright years
      
      calamares (3.1.10-1) unstable; urgency=medium
      
        * New upstream release
        * Update standards version to 4.1.2
      
      calamares (3.1.9-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.1.8-1) unstable; urgency=medium
      
        * New upstream release
      
      calamares (3.1.7-2) unstable; urgency=medium
      
        * Remove unneeded build dependency libpythonqt-dev (Closes: #880333)
      
      calamares (3.1.7-1) unstable; urgency=medium
      
        * New upstream release
        * debian/copyright: update copyright years
      
      calamares (3.1.6-4) unstable; urgency=medium
      
        * Attempt to make package reproducible
      
      calamares (3.1.6-3) unstable; urgency=medium
      
        * Update dependencies
      
      calamares (3.1.6-2) unstable; urgency=medium
      
        * Package rebuild (no source changes)
      
      calamares (3.1.6-1) unstable; urgency=medium
      
        * New upstream release
        * Update standards version to 4.1.1 (no related changes)
      
      calamares (3.1.5-1) unstable; urgency=medium
      
        * New upstream release
        * debian/copyright:
           - Update copyright years for Christian Muehlhaeuser
           - Add new copyright information for Schutz Sacha
           - Add new copyright information for Gabriel Craciunescu
           - Add copyright information for new files:
             src/libcalamaresui/widgets/waitingspinnerwidget.*
           - Update license information for files:
             src/qml/calamares/slideshow/*qml
        * Update architecture to linux-any
      
      calamares (3.1.3-1) unstable; urgency=low
      
        * Initial release (Closes: #842671)
      93a6d55b
    • Lorenzo "Palinuro" Faletra's avatar
      1220cbd7